# class KDockWidgetHeaderDrag | This special widget is the panel one can grip with the mouses (and member of the dockwidget class set). More...
Definition | `#include <kdockwidget.h>`
Inherits | KDockWidgetAbstractHeaderDrag [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KDockWidgetHeaderDrag ( KDockWidgetAbstractHeader* parent, KDockWidget* dock, const char* name = 0L )
- virtual ~KDockWidgetHeaderDrag ()

#### Protected Methods

- virtual void paintEvent ( QPaintEvent* )

## Detailed Description

This special widget is the panel one can grip with the mouses (and member of the dockwidget class set). The widget for dragging, so to speak. Usually it is located in the KDockWidgetHeader. More or less a minor helper class for the dockwidget class set.

KDockWidgetHeaderDrag ( KDockWidgetAbstractHeader* parent, KDockWidget* dock, const char* name = 0L ) | ### KDockWidgetHeaderDrag

Constructs this.

Parameters:

parent | the parent widget (usually a dockwidget header)
dock | the dockwidget where it belongs to
name | the object instance name

~KDockWidgetHeaderDrag () | ### ~KDockWidgetHeaderDrag

[virtual]

Destructs this.

void paintEvent ( QPaintEvent* ) | ### paintEvent

[protected virtual]

Draws the drag panel (a double line)

Reimplemented from QFrame.

- Version: $Id: kdockwidget.h,v 1.35 2001/01/29 07:14:45 falkbr Exp $
- Author: Max Judin (documentation: Falk Brettschneider).
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.